﻿<UserControl x:Class="MultiPage.Views.UserView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:MultiPage.ViewModels"
        xmlns:view="clr-namespace:MultiPage.Views"
        xmlns:localization="clr-namespace:MultiPage.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:UserViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxr:RibbonControl DockPanel.Dock="Top" Style="{StaticResource EntityView.RibbonControl}">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource EntityView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Main}">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndClose}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndNew}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Close}" />
                    </dxr:RibbonPageGroup>
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Layout}">
                        <dxb:BarCheckItem Style="{StaticResource EntityView.Command.Customize}" IsChecked="{Binding IsCustomization, ElementName=layoutControl}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveLayout}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.ResetLayout}" />
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl DockPanel.Dock="Bottom" Style="{StaticResource EntityView.RibbonStatusBar}" />
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:DataLayoutItem x:Name="layoutItemUserID" Binding="{Binding Entity.UserID, UpdateSourceTrigger=PropertyChanged}" IsReadOnly="{Binding DataContext.IsPrimaryKeyReadOnly, RelativeSource={RelativeSource AncestorType={x:Type dxlc:LayoutControl}}}" />
            <dxlc:DataLayoutItem x:Name="layoutItemUsername" Binding="{Binding Entity.Username, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:DataLayoutItem x:Name="layoutItemPassword" Binding="{Binding Entity.Password, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:DataLayoutItem x:Name="layoutItemIsAdmin" Binding="{Binding Entity.IsAdmin, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:LayoutGroup x:Name="Tabs" View="Tabs" MinHeight="250">
                <DockPanel Style="{StaticResource EntityView.Detail.Container}" DataContext="{Binding UserSaleItemsDetails}" dxlc:LayoutControl.TabHeader="{x:Static localization:DBModelResources.SaleItemPlural}">
                    <dxb:ToolBarControl DockPanel.Dock="Top">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.New}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Refresh}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Reset}" />
                    </dxb:ToolBarControl>
                    <dxg:GridControl x:Name="UserSaleItemsDetailsGrid" dx:DXSerializer.SerializationID="UserSaleItemsDetailsGrid" Style="{StaticResource EntityView.Detail.GridControl.Editable}">
                        <dxg:GridControl.View>
                            <dxg:TableView Style="{StaticResource EntityView.Detail.TableView}">
                                <dxg:TableView.RowCellMenuCustomizations>
                                    <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.GridCommand.New}" />
                                    <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.GridCommand.Edit}" />
                                    <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.GridCommand.Delete}" />
                                    <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.GridCommand.Refresh}" />
                                </dxg:TableView.RowCellMenuCustomizations>
                            </dxg:TableView>
                        </dxg:GridControl.View>
                        <dxg:GridControl.Columns>
                            <dxg:GridColumn IsSmart="True" FieldName="SaleItemID" />
                            <dxg:GridColumn IsSmart="True" FieldName="Name" />
                            <dxg:GridColumn IsSmart="True" FieldName="Price" />
                            <dxg:GridColumn IsSmart="True" FieldName="IsAvailable" />
                            <dxg:GridColumn IsSmart="True" FieldName="BackGround" />
                            <dxg:GridColumn IsSmart="True" FieldName="ForeGround" />
                            <dxg:GridColumn FieldName="Category.Name" Header="{x:Static localization:DBModelResources.SaleItem_Category}" ReadOnly="True" />
                        </dxg:GridControl.Columns>
                        <dxg:GridControl.TotalSummary>
                            <dxg:GridSummaryItem SummaryType="Count" Alignment="Right" />
                        </dxg:GridControl.TotalSummary>
                        <dxg:GridControl.GroupSummary>
                            <dxg:GridSummaryItem SummaryType="Count" />
                        </dxg:GridControl.GroupSummary>
                    </dxg:GridControl>
                </DockPanel>
            </dxlc:LayoutGroup>
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>